1. Position
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Position

My positions with pagination

GET
/api/position/list
Returns paginated prediction positions for the current logged-in user. Results can be filtered by position status. When hideZeroShares=true, positions with 0 remaining shares are hidden.

Request

Authorization
OAuth 2.0
Password
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/position/list?status=ACTIVE&hideZeroShares=true&pageNum=1&pageSize=20&orderByColumn=createdAt&isAsc=desc' \
--header 'Accept-Language: zh_CN' \
--header 'clientId: 8e06704235ad224b8b2af4eeb95580a9' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Query successful",
    "total": 1,
    "rows": [
        {
            "id": 10001,
            "marketId": "512345",
            "slug": "will-team-a-win",
            "categoryKey": "sports",
            "topicKey": null,
            "subKey": "soccer",
            "detailRouteType": "MARKET_DETAIL",
            "eventId": "evt_2026_001",
            "eventSlug": "team-a-vs-team-b",
            "question": "Will Team A win?",
            "groupItemTitle": "Moneyline",
            "image": "https://static.example.com/market.png",
            "sportsMarketType": "moneyline",
            "line": null,
            "outcome": "Yes",
            "outcomeIndex": 0,
            "outcomeTokenId": "1234567890",
            "tokenType": "USDC",
            "totalSharesAmount": 25.5,
            "soldSharesAmount": 5,
            "remainingSharesAmount": 20.5,
            "frozenSharesAmount": 0,
            "sellableShares": 20.5,
            "avgCostPrice": 0.42,
            "positionStatus": "ACTIVE",
            "marketStatus": "ACTIVE",
            "endDate": "2026-06-01T12:00:00Z",
            "gameStartTime": "2026-05-20T19:30:00Z",
            "createdAt": "2026-05-18T10:00:00Z",
            "updatedAt": "2026-05-18T10:30:00Z"
        }
    ]
}
🟠401Unauthorized
🔴500ServerError
Modified at 2026-05-19 06:30:54
Previous
Query user ledger balance
Next
Get match team information
Built with